#pragma once

#include "ofMain.h"
#include "ofxiOS.h"
#include "ofxiOSExtras.h"

#define numSquares 10

class ofApp : public ofxiOSApp {
	
    public:
        void setup();
        void update();
        void draw();
        void exit();
	
        void touchDown(ofTouchEventArgs & touch);
        void touchMoved(ofTouchEventArgs & touch);
        void touchUp(ofTouchEventArgs & touch);
        void touchDoubleTap(ofTouchEventArgs & touch);
        void touchCancelled(ofTouchEventArgs & touch);

        void lostFocus();
        void gotFocus();
        void gotMemoryWarning();
        void deviceOrientationChanged(int newOrientation);
    
    //to create an array in C++, you indicate the TYPE of array
    //then the NAME of the array followed by [(SIZE of array)]
    float posX[numSquares]; //[10]
    float posY[numSquares];
    float speedX[numSquares];
    float speedY[numSquares];
    bool touched[numSquares];

};


